<?php
/**
 * ProductsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProduct
     *
     * Запрос на создание нового товара.
     *
     */
    public function testCreateProduct()
    {
    }

    /**
     * Test case for deleteProduct
     *
     * Запрос на удаление товара.
     *
     */
    public function testDeleteProduct()
    {
    }

    /**
     * Test case for getProduct
     *
     * Запрос на получение опубликованной версии товара.
     *
     */
    public function testGetProduct()
    {
    }

    /**
     * Test case for getProductDraft
     *
     * Запрос на получение черновика товара.
     *
     */
    public function testGetProductDraft()
    {
    }

    /**
     * Test case for massDeleteProducts
     *
     * Массовое удаление товаров.
     *
     */
    public function testMassDeleteProducts()
    {
    }

    /**
     * Test case for patchProduct
     *
     * Запрос на обновление отдельных свойств товара.
     *
     */
    public function testPatchProduct()
    {
    }

    /**
     * Test case for patchProductAttributes
     *
     * Обновление только заданных атрибутов товара.
     *
     */
    public function testPatchProductAttributes()
    {
    }

    /**
     * Test case for patchProductImages
     *
     * Обновление только заданных картинок.
     *
     */
    public function testPatchProductImages()
    {
    }

    /**
     * Test case for preloadProductImage
     *
     * Загрузка картинки для товара или атрибута товара.
     *
     */
    public function testPreloadProductImage()
    {
    }

    /**
     * Test case for replaceProduct
     *
     * Запрос на обновление товара.
     *
     */
    public function testReplaceProduct()
    {
    }

    /**
     * Test case for replaceProductAttributes
     *
     * Замещение всех атрибутов товара.
     *
     */
    public function testReplaceProductAttributes()
    {
    }

    /**
     * Test case for replaceProductImages
     *
     * Замещение всех картинок товара.
     *
     */
    public function testReplaceProductImages()
    {
    }

    /**
     * Test case for searchProductDrafts
     *
     * Поиск черновиков товаров, удовлетворяющих фильтру.
     *
     */
    public function testSearchProductDrafts()
    {
    }

    /**
     * Test case for searchProducts
     *
     * Поиск опубликованных товаров, удовлетворяющих фильтру.
     *
     */
    public function testSearchProducts()
    {
    }
}
